Fixed Xenforo 2.2.4 -> 2.2.7 Froala Breaks in Older Browsers

arn

Well-known member
Looks like froala got updated from 3.2.5-1 to 3.2.7 when Xenforo upgraded from 2.2.4 to 2.2.7.

The change broke the froala editor for old Firefox versions, which some of our users use.

It doesn't appear there's a way to disable froala for some users? If not... how bad would it be if we used the 3.2.5-1 froala editor-compiled.js in Xenforo 2.2.7. Is it going to cause any problems?

arn
 

Chris D

XenForo developer
Staff member
It was a bug in our code, not Froala.

Fixed already for 2.2.8 but you can steal our core JS file to fix it now:

 

arn

Well-known member
Screen Shot 2021-10-20 at 1.20.15 PM.png

Hmm... unfortunately I think this is a different problem.

I'm asking about other browser options for the user.
 

Chris D

XenForo developer
Staff member
Disabling JavaScript is probably a good work around for now.

Can you provide OS and Browser versions so we can do some testing?
 

arn

Well-known member
Screen Shot 2021-10-20 at 2.48.26 PM.png

Going through BrowserStack, it appears the editor disappears on anything Firefox 50 and below. Even on latest MacOS versions.

I've patched it for now on my site, so it serves up the slightly older froala for those user agents. Not a great solution, but was easy and good enough for now. I'm sure it only affects a handful of people.

arn
 

XF Bug Bot

XenForo bug fixer bot
Staff member
Thank you for reporting this issue, it has now been resolved. We are aiming to include any changes that have been made in a future XF release (2.2.8).

Change log:
Fix further JavaScript regression in editor.js that affected older browsers.
There may be a delay before changes are rolled out to the XenForo Community.
 

Chris D

XenForo developer
Staff member
I've patched it for now on my site, so it serves up the slightly older froala for those user agents. Not a great solution, but was easy and good enough for now. I'm sure it only affects a handful of people.
Which files did you change, exactly?

This is fixed now but it's still not a Froala change that caused it. It's actually in https://xenforo.com/community/js/xf/editor-compiled.js which does include Froala but the bug was amongst our code.

I'd revert any changes and use the above file which is now fixed. If you can verify that works, that would be appreciated.
 

arn

Well-known member
Yep, that file is what I replaced for certain browsers. I thought it was just froala, but I guess not. :)

I've since upgraded to the version you linked, and it appears to be working in my testing on the same old browsers. I've asked the user, but haven't heard back yet.
 
Top